# eric4.Helpviewer.Network.NetworkAccessManager

Module implementing a QNetworkAccessManager subclass.

### Global Attributes

None

### Classes

NetworkAccessManager | Class implementing a QNetworkAccessManager subclass.

### Functions

None

## NetworkAccessManager

Class implementing a QNetworkAccessManager subclass.

### Signals

requestCreated(QNetworkAccessManager::Operation, const QNetworkRequest&, QNetworkReply*)
  emitted after the request has been created

### Derived from

QNetworkAccessManager

### Class Attributes

None

### Class Methods

None

### Methods

NetworkAccessManager | Constructor
__authenticationRequired | Private slot to handle an authentication request.
__certToString | Private method to convert a certificate to a formatted string.
__proxyAuthenticationRequired | Private slot to handle a proxy authentication request.
__setDiskCache | Private method to set the disk cache.
__sslErrors | Private slot to handle SSL errors.
createRequest | Protected method to create a request.
languagesChanged | Public slot to (re-)load the list of accepted languages.
preferencesChanged | Public slot to signal a change of preferences.
setSchemeHandler | Public method to register a scheme handler.

### Static Methods

None

#### NetworkAccessManager (Constructor)

NetworkAccessManager(engine, parent = None)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent object (QObject)

#### NetworkAccessManager.__authenticationRequired

__authenticationRequired(reply, auth)

Private slot to handle an authentication request.

reply
  reference to the reply object (QNetworkReply)
auth
  reference to the authenticator object (QAuthenticator)

#### NetworkAccessManager.__certToString

__certToString(cert)

Private method to convert a certificate to a formatted string.

cert
  certificate to convert (QSslCertificate)

Returns:
  formatted string (QString)

#### NetworkAccessManager.__proxyAuthenticationRequired

__proxyAuthenticationRequired(proxy, auth)

Private slot to handle a proxy authentication request.

proxy
  reference to the proxy object (QNetworkProxy)
auth
  reference to the authenticator object (QAuthenticator)

#### NetworkAccessManager.__setDiskCache

__setDiskCache()

Private method to set the disk cache.

#### NetworkAccessManager.__sslErrors

__sslErrors(reply, errors)

Private slot to handle SSL errors.

reply
  reference to the reply object (QNetworkReply)
errors
  list of SSL errors (list of QSslError)

#### NetworkAccessManager.createRequest

createRequest(op, request, outgoingData = None)

Protected method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

#### NetworkAccessManager.languagesChanged

languagesChanged()

Public slot to (re-)load the list of accepted languages.

#### NetworkAccessManager.preferencesChanged

preferencesChanged()

Public slot to signal a change of preferences.

#### NetworkAccessManager.setSchemeHandler

setSchemeHandler(scheme, handler)

Public method to register a scheme handler.

scheme
  access scheme (string or QString)
handler
  reference to the scheme handler object (SchemeAccessHandler)

Up